export class Languages {
    static getScript(lang) {
        return new Promise((resolve, reject) => {
            if (lang in Languages.scripts) {
                resolve(Languages.scripts[lang]);
            }
            else {
                resolve(Languages.scripts.generic);
            }
        });
    }
}
/**
 * Init and query script for supported languages.
 */
Languages.PYTHON = {
    initScript: 'import julynter.kernel; julynter.kernel.init()',
    name: 'python',
};
Languages.GENERIC = {
    initScript: null,
    name: 'generic',
};
Languages.scripts = {
    python3: Languages.PYTHON,
    python2: Languages.PYTHON,
    python: Languages.PYTHON,
    generic: Languages.GENERIC,
};
